Debian Bug report logs - #535446
libmatchbox: deprecated AM_PATH_CHECK macro prevents use of autoreconf

version graph

Package: libmatchbox; Maintainer for libmatchbox is Moray Allan <moray@debian.org>;

Reported by: Neil Williams <codehelp@debian.org>

Date: Thu, 2 Jul 2009 09:00:04 UTC

Severity: important

Found in version 1.9

Fixed in version libmatchbox/1.9-5

Done: Moray Allan <moray@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.openedhand.com/show_bug.cgi?id=1672

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Moray Allan <moray@debian.org>:
Bug#535446; Package libmatchbox. (Thu, 02 Jul 2009 09:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Moray Allan <moray@debian.org>. (Thu, 02 Jul 2009 09:00:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmatchbox: deprecated AM_PATH_CHECK macro prevents use of autoreconf
Date: Thu, 02 Jul 2009 09:57:26 +0100
Package: libmatchbox
Version: 1.9
Severity: important

See also #528047

libmatchbox needs an upstream fix because it is now impossible to patch
configure.ac to allow autoreconf to operate. (autoreconf itself is
necessary to prevent libmatchbox using an rpath when cross-built but
autoreconf may well become necessary for standard Debian builds at some
point because libmatchbox upstream is stale).

The patch that needs to be applied upstream is:

--- old/libmatchbox-1.9/configure.ac    2006-08-04 11:32:31.000000000+0100
+++ libmatchbox-1.9/configure.ac        2009-07-02 08:47:36.000000000+0100
@@ -316,9 +316,8 @@
 have_check=no
 
 if test x$enable_unit_tests = xyes; then
-  AM_PATH_CHECK(,have_check=yes, have_check=no)
+  PKG_CHECK_MODULES([CHECK], [check], have_check=yes)
 fi
-
 AM_CONDITIONAL(HAVE_CHECK, test x$have_check = xyes)
 
 dnl ------ Substitute in found libs, clags to Makefiles etc -----------------

Please be aware that unless you have a memory limit setup enabled, even
trying to run autoreconf (or aclocal which is where the error actually
shows up) will cause aclocal to fall into a recursive loop that will
consume all memory, unless the patch is applied.

I'm using a limit script from:
http://www.osnews.com/conversation/49d0d3e0/Sane_way_to_limit_a_process_memory_in_Linux_

This means that the patch cannot be applied by the normal patch systems
(which try to run 'fakeroot debian/rules clean' *without the patches
applied*) because aclocal will be called as part of 'make distclean'.

Applying a direct patch to fix configure.ac automatically trips a build
failure which requires autoreconf -ifs to fix because the libtool script
in the upstream source is stale.

Therefore, this extra rule in debian/rules becomes necessary too:

makebuilddir::
	autoreconf -ifs




-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Noted your statement that Bug has been forwarded to http://bugzilla.openedhand.com/show_bug.cgi?id=1672. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 02 Jul 2009 09:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Moray Allan <moray@debian.org>:
Bug#535446; Package libmatchbox. (Thu, 02 Jul 2009 09:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Moray Allan <moray@debian.org>. (Thu, 02 Jul 2009 09:27:02 GMT) Full text and rfc822 format available.

Message #12 received at 535446@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 535446@bugs.debian.org
Subject: extra clean rule
Date: Thu, 2 Jul 2009 10:16:24 +0100
[Message part 1 (text/plain, inline)]
This extra clean rule is also likely to be required:

$(RM) missing config.guess config.sub ltmain.sh install-sh depcomp config.sub* config.guess* INSTALL

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Reply sent to Moray Allan <moray@debian.org>:
You have taken responsibility. (Sat, 25 Jul 2009 17:21:08 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Sat, 25 Jul 2009 17:21:08 GMT) Full text and rfc822 format available.

Message #17 received at 535446-close@bugs.debian.org (full text, mbox):

From: Moray Allan <moray@debian.org>
To: 535446-close@bugs.debian.org
Subject: Bug#535446: fixed in libmatchbox 1.9-5
Date: Sat, 25 Jul 2009 16:47:08 +0000
Source: libmatchbox
Source-Version: 1.9-5

We believe that the bug you reported is fixed in the latest version of
libmatchbox, which is due to be installed in the Debian FTP archive:

libmatchbox-dev_1.9-5_amd64.deb
  to pool/main/libm/libmatchbox/libmatchbox-dev_1.9-5_amd64.deb
libmatchbox1_1.9-5_amd64.deb
  to pool/main/libm/libmatchbox/libmatchbox1_1.9-5_amd64.deb
libmatchbox_1.9-5.diff.gz
  to pool/main/libm/libmatchbox/libmatchbox_1.9-5.diff.gz
libmatchbox_1.9-5.dsc
  to pool/main/libm/libmatchbox/libmatchbox_1.9-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535446@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Moray Allan <moray@debian.org> (supplier of updated libmatchbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Jul 2009 17:29:11 +0200
Source: libmatchbox
Binary: libmatchbox-dev libmatchbox1
Architecture: source amd64
Version: 1.9-5
Distribution: unstable
Urgency: low
Maintainer: Moray Allan <moray@debian.org>
Changed-By: Moray Allan <moray@debian.org>
Description: 
 libmatchbox-dev - shared library for Matchbox Project applications [development]
 libmatchbox1 - shared library for Matchbox Project applications [runtime]
Closes: 515459 535446
Changes: 
 libmatchbox (1.9-5) unstable; urgency=low
 .
   * Patch from Neil Williams to fix autoreconf.  Closes: #535446.
   * Change Build-Depends from x-dev to x11proto-core-dev.  Closes: #515459.
Checksums-Sha1: 
 eed6c566d3a99fa21f85031d0b294bb3ba63fd7e 1276 libmatchbox_1.9-5.dsc
 3b255808404d01da02d379fb52f47a4bb4ba32bd 281628 libmatchbox_1.9-5.diff.gz
 45b2d0a1b5a256e462255f5cbab1cf5f364078a0 140416 libmatchbox-dev_1.9-5_amd64.deb
 2362acb46762a3cc13abd2c2b4424c8ad7ff3508 53190 libmatchbox1_1.9-5_amd64.deb
Checksums-Sha256: 
 98ee2a239526b7d8e5cdc04d69e63bbffc9d49ca515c2942f24881fe9d38e0e7 1276 libmatchbox_1.9-5.dsc
 5f92d68770e1437e371b5ab1530a16893253be47b8ffc1b80f5ff63c4c7564dd 281628 libmatchbox_1.9-5.diff.gz
 7e3a15cd62c8a04596a49e2f04caf02a7bd93e91562351f464548b6eb2afcfbd 140416 libmatchbox-dev_1.9-5_amd64.deb
 a46bba79f2fd0d06306c194965bebce04400ae1543adfa8b73b7b080308ce8ab 53190 libmatchbox1_1.9-5_amd64.deb
Files: 
 541e1c8471ee44953aedb1cf1ab2243c 1276 libs optional libmatchbox_1.9-5.dsc
 1b2c7708f3dfc769c0ec01d933f9db3c 281628 libs optional libmatchbox_1.9-5.diff.gz
 d986c690b931c480d1d17dd2ee61ecba 140416 libdevel optional libmatchbox-dev_1.9-5_amd64.deb
 840403c14c5e8f987cc8c818259302ba 53190 libs optional libmatchbox1_1.9-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkprNMYACgkQ500puCvhbQEYiwCffdnEayTH5p0aV+rPfu6Ft29m
bv8AoJGMUdPCdD//Ph7HQgGgajYIoTOV
=KRMq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Aug 2009 07:38:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:49:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.